<template>
  <v-app-bar color="primary" :dark="dark" app>
      <div class="logo">
      <v-img src="/Logo OEE.svg" width="105"/>
      </div>
      <v-spacer></v-spacer>
      <v-toolbar-title>
        Toyo Coating
      </v-toolbar-title>
      <v-spacer></v-spacer>
      <v-toolbar-title class="font-date">
        {{ date }}
      </v-toolbar-title>

      <v-toolbar-items>
        <v-menu offset-y="offset-y">
          <template v-slot:activator="{ on, attrs }">
            <v-list-item v-bind="attrs" text v-on="on">
              <v-list-item-content>
                <v-list-item-title
                  class="font-user">{{ user.role.name }}<v-icon right="right">mdi-menu-down</v-icon></v-list-item-title
                >
              </v-list-item-content>
            </v-list-item>
          </template>
          <v-list>
            <v-list-item @click="handleLogout">
              <v-list-item-avatar>
                <v-icon right="right">mdi-logout</v-icon>
              </v-list-item-avatar>
              <v-list-item-content>Logout</v-list-item-content>
            </v-list-item>
          </v-list>
        </v-menu>
      </v-toolbar-items>
  </v-app-bar>
</template>
<script>
import { mapState } from 'vuex'
import * as moment from 'moment'
export default {
  props: {
    isDrawer: {
      type: Boolean,
      default: true
    }
  },
  data: () => ({
    class: 'primary',
    dark: true,
    items: undefined,
    date:''
  }),
  computed: {
    ...mapState(['title']),
    user() {
      return this.$auth.user
    },
    dateNow() {
      return moment().format('DD-MM-YYYY HH:mm:ss')
    }
  },
  async created() {
    this.items = await require(`~/assets/MenuEsim1.json`)
  },
  mounted() {
    this.time()
  },
  methods: {
    handleLogout() {
      this.$store.dispatch('logout').then(() => {
        this.$router.go('/login')
      })
    },
    checkingRole(role) {
      if (role && role.length > 0) {
        return !!role.includes(this.$auth.user.role.name)
      } else return true
    },
    time() {
      const self = this
      this.date =  moment().format('DD MMMM YYYY HH:mm:ss')
      setInterval(self.time,1000)
    }
  }
}
</script>
<style scoped>
.font-date{
  font-size: 13px;
}
.font-user{
  font-size: 13px;
}
</style>
